
/* inode.c */
void files_ftw(char *path);
Eweid filename_to_eweid(const char *file);
int files_num(void);
void files_dumpdb(FILE *out, char *wrt);
/* eweid.c */
Eweid eweid_dup(Eweid e);
int EWEID_IS_NONE(Eweid e);
int EWEID_CMP(Eweid a, Eweid b);
Eweid eweid_combine(Eweid e, long inode);
char *eweidtoa(Eweid e);
void satoeweid(Eweid e, char *a);
Eweid atoeweid(char *a);
/* util.c */
/* mtd.c */
char *mtd_filename;
/* uri.c */
/* text.c */
void enable_magic_heads(void);
char *eweid_to_text(Eweid e);
int compar(const void *e1, const void *e2);
Flock files_find(const char *text);
/* filesystem.c */
Collection files_filesystem_collection(char *base);
/* collection.c */
Files files_init(void);
void files_add_collection(Files f, Collection c);
CFH files_open(Files f, Eweid e, int mode);
void files_close(Files f);
/* group.c */
int files_is_group(CFH fh);
Flock files_read_group(CFH fh);
/* http.c */
unsigned char *percent_encode(unsigned char *in);
Collection files_http_collection(char *base);
/* work.c */
int files_is_work(Eweid e);
int files_num_works(void);
Eweid files_work_by_num(int n);
Eweid files_random_work(void);
void files_work_reset(void);
/* user.c */
Files files_user_init(void);
/* buffer.c */
/* history.c */
int inrange(int l, int m, int h);
